%global srcname gamera

Name:		python-%{srcname}
Version:	3.4.3
Release:	3%{?dist}
Summary:	Gamera is a framework for building document analysis applications

License:	GPLv2
URL:		http://gamera.informatik.hsnr.de
Source0:	https://github.com/hsnr-gamera/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRequires:	python2-devel
BuildRequires:	wxPython
BuildRequires:	gcc
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	desktop-file-utils

%description
Gamera is a framework for building document analysis applications.
It is not a packaged document recognition system, 
but a toolkit for building document image recognition systems.
For more information about Gamera, visit the Gamera website at:

%package -n python2-%{srcname}
Summary:	%summary
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Python 2 package of gamera.

%package devel
Summary:	Development package for Gamera
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development package for gamera.
Allows you to develop your apps on top of the gamera framework.

%prep
%autosetup -n %{srcname}-%{version}
chmod -x README

%build
%py2_build

%install
%py2_install

desktop-file-install					\
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
%{SOURCE1}

# Remove useless shebang of a non executable python file
head -n 1 %{buildroot}/%{python2_sitearch}/%{srcname}/gendoc.py | grep '#!/usr/' && sed -i '1d' %{buildroot}/%{python2_sitearch}/%{srcname}/gendoc.py

# Only for Windows installation
rm -f %{buildroot}/%{_bindir}/gamera_post_install.py

%files -n python2-%{srcname}
%license LICENSE
%doc README
%{_datadir}/applications/%{name}.desktop
%{_bindir}/gamera_gui
%{python2_sitearch}/%{srcname}
%{python2_sitearch}/%{srcname}-%{version}-py?.?.egg-info

%files devel
%{_includedir}/python%{python2_version}/%{srcname}/
%{python2_sitelib}/%{srcname}

%changelog
* Sun Mar 19 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.3-3
- Remove sum variable
- Add python2 subpackage
- Change of url
- Add comments
- Modify devel package description

* Wed Mar 15 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.3-2
- Remove useless comments
- Add python version macro
- Changes about bindir and sitearch and permissions on README
- Remove post_install file and defattr
- Remove headbang in gendoc.py file

* Wed Mar 8 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.3-1
- New release by upstream 
- GCC7 supported
- Add desktop file
- Add devel package
- Modify macro name in changelog

* Fri Mar 3 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-2
- Remove macros on top of Spec file
- Use macros on URLs
- Substitution of macro name: __python2 setup.py build by macro name: py2_build
- Replacement BuildRequires libpng by libpng-devel and libtiff by libtiff-devel
- Remove rm -rf macro name: buildroot/ macro name: python2_sitelib
- Add macro name: python2_sitelib/*

* Mon Feb 27 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-1
- Initial Spec file 
